<template>
	<view>
		<mescroll-body-diy ref="mescrollRef" @init="mescrollInit" :down="downOption" @down="downCallback"
			@up="upCallback">
			<view class="card" @click="goDetail(item)" v-for="(item,index) in list" :key="index">
				<view class="card-left">
					<view class="title">{{item.productTitle}}</view>
					<view class="center time">{{item.createTime}}</view>
				</view>

				<view class="card-right">
					<view class="center">
						<image style="height: 52rpx;width: 90rpx;"   :src="item.helpGoods.imgUrl"></image>
					</view>
					<view class="center margin-left-20">x {{item.voteCount}}</view>
				</view>
			</view>
		</mescroll-body-diy>
	</view>
</template>

<script>
	import MescrollBodyDiy from "@/uni_modules/mescroll-uni/components/mescroll-diy/xinlang/mescroll-body.vue";
	import MescrollMixin from "@/uni_modules/mescroll-uni/components/mescroll-uni/mescroll-mixins.js";
	export default {
		mixins: [MescrollMixin],
		components: {
			MescrollBodyDiy,
		},
		data() {
			return {
				downOption: {
					auto: false
				},
				top: 0,
				list: []
			}
		},
		methods: {
			goDetail(item){
				uni.navigateTo({
					url:"/pages/activity/activityDetail?id="+item.productId
				})
			},
			downCallback() {
				setTimeout(() => {
					this.mescroll.resetUpScroll();
				}, 1000)
			},
			upCallback(mescroll) {
				try {
					let params = {
						userId: this.vuex_userId,
						current: mescroll.num,
						size: mescroll.size,
					}
					this.$api.help.list(params).then(res => {
						let data = res.data.data.records
						let total = res.data.data.total
						mescroll.endBySize(data.length, total);
						if (mescroll.num == 1) this.list = []; //如果是第一页需手动制空列表
						this.list = this.list.concat(data); //追加新数据
					})
				} catch (e) {
					console.error(e);
					this.mescroll.endErr()
				}
			}
		}
	}
</script>

<style lang="scss" scoped>
	.card {
		background-color: #FFFFFF;
		margin: 20rpx 0;
		padding: 35rpx;
		justify-content: space-between;
		display: flex;

		.card-left {
			.title {
				color: #353535;
				font-size: 32rpx;
				margin-bottom: 20rpx;
				font-family: PingFang-SC-Bold;
			}

			.time {
				margin-top: 20rpx;
				color: #999999;
				font-size: 26rpx;
				font-weight: 400;
			}
		}

		.card-right {
			display: flex;
		}
	}
</style>
